Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005856 [JEDI VCL] 00 JVCL Components minor always 2012-04-18 12:44 2012-09-10 14:15
Reporter boerema1 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005856: JvJVCLUtils.MessageBox incorrectly uses Application.Title when Caption <> ''
Description JvJVCLUtils.MessageBox incorrectly uses Application.Title when Caption <> '' and also will show an empty caption when Caption set to ''.

According to the description in the interface it should set the Caption to the Application Title when Caption is empty '' but it does the inverse.

Solution is simple: replace:
  if Caption = '' then
With:
  if Caption <> '' then
This is line 2929 in current svn.
Additional Information
Tags No tags attached.
Attached Files zip file icon mbTest.zip [^] (1,320 bytes) 2012-06-15 13:50

- Relationships

-  Notes
(0019851)
obones (administrator)
2012-06-11 17:27

Please provide the zipped sources of a sample application showing this.
(0020002)
boerema1 (reporter)
2012-06-15 13:50

Included test project shows the reported problem.
(0020015)
obones (administrator)
2012-06-18 14:08

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2012-04-18 12:44 boerema1 New Issue
2012-06-11 17:27 obones Note Added: 0019851
2012-06-11 17:27 obones Status new => feedback
2012-06-15 13:50 boerema1 File Added: mbTest.zip
2012-06-15 13:50 boerema1 Note Added: 0020002
2012-06-18 11:24 obones Status feedback => acknowledged
2012-06-18 14:08 obones Note Added: 0020015
2012-06-18 14:08 obones Status acknowledged => resolved
2012-06-18 14:08 obones Fixed in Version => Daily / SVN
2012-06-18 14:08 obones Resolution open => fixed
2012-06-18 14:08 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker